Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

## Class CurrencyAndAmountRange2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_03.CurrencyAndAmountRange2

    public class CurrencyAndAmountRange2
    extends java.lang.Object

Java class for CurrencyAndAmountRange2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CurrencyAndAmountRange2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ImpliedCurrencyAmountRangeChoice"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CreditDebitCode" minOccurs="0"/>
             <element name="Ccy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ActiveOrHistoricCurrencyCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ImpliedCurrencyAmountRangeChoice` `amt`
`protected java.lang.String` `ccy`
`protected CreditDebitCode` `cdtDbtInd`

### Constructor Summary

Constructors
`CurrencyAndAmountRange2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ImpliedCurrencyAmountRangeChoice` `getAmt()` Gets the value of the amt property.
`java.lang.String` `getCcy()` Gets the value of the ccy property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`void` `setAmt​(ImpliedCurrencyAmountRangeChoice value)` Sets the value of the amt property.
`void` `setCcy​(java.lang.String value)` Sets the value of the ccy property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### amt

    protected ImpliedCurrencyAmountRangeChoice amt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

#### ccy

    protected java.lang.String ccy

### Constructor Detail

#### CurrencyAndAmountRange2

    public CurrencyAndAmountRange2()

### Method Detail

#### getAmt

    public ImpliedCurrencyAmountRangeChoice getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ImpliedCurrencyAmountRangeChoice`

#### setAmt

    public void setAmt​(ImpliedCurrencyAmountRangeChoice value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ImpliedCurrencyAmountRangeChoice`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

#### getCcy

    public java.lang.String getCcy()

Gets the value of the ccy property.

Returns:
  possible object is `String`

#### setCcy

    public void setCcy​(java.lang.String value)

Sets the value of the ccy property.

Parameters:
  `value` - allowed object is `String`